.popup {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1200;
    overflow: hidden;
    position: fixed;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    opacity: 0;
    visibility: hidden;

    &__backdrop {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        position: absolute;
        background-color: rgba(35, 43, 48, 0.7);
    }

    &__media {
        display: none;
    }

    &__layout {
        z-index: 1200;
        position: relative;
    }

    &__content {
        z-index: 1200;
        position: relative;
        height: calc(100% - 122px);
        overflow: hidden;
        background-color: white;
        border-radius: rem(8) rem(8) 0 0;
        display: flex;
        transform: translateY(100vh);
        transition: .3s;
    }

    &__header {
        padding: rem(16) rem(48) rem(16) rem(16);
        display: flex;
        column-gap: rem(16);
        position: relative;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__title {
        color: var(--gray-80);
        font-weight: 600;
        font-size: rem(15);
        line-height: rem(24);
    }

    &__close {
        top: rem(14);
        right: rem(14);
        padding: 0;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: rem(24);
        height: rem(24);
        cursor: pointer;
        position: absolute;
        fill: var(--gray-40);
        background-color: transparent;
        transition: var(--transition-time);

        &:hover {
            fill: var(--blue);
            transition: var(--transition-time);
        }
    }

    &__body {
        width: 100%;
        display: flex;
        flex-direction: column;
    }

    &__main {
        flex-grow: 1;
        position: relative;
    }

    &__scroll {
        top: 0;
        left: 0;
        right: rem(8);
        bottom: 0;
        position: absolute;
     //   overflow-y: auto;
        -webkit-overflow-scrolling: touch;
        will-change: scroll-position;

        &::-webkit-scrollbar {
            width: 4px;
            height: 4px;
            border-radius: 4px;
        }

        &::-webkit-scrollbar-thumb {
            background: var(--gray-20);
            border-radius: 4px;
        }

        &::-webkit-scrollbar-track {
            background-color: white;
            border: 1px solid white;
        }
    }

    &__text {
        display: block;
        font-size: rem(13);
        line-height: rem(20);
        color: var(--gray-60);
        padding: 0 rem(16) rem(16) rem(16);

        p {
            margin-bottom: rem(8);

            &:last-child {
                margin-bottom: 0;
            }
        }

        ul {
            margin-bottom: rem(8);
            padding-left: rem(24);

            &:last-child {
                margin-bottom: 0;
            }
        }

        h4 {
            font-weight: 600;
            font-size: rem(13);
            line-height: rem(20);
            margin-bottom: rem(8);
        }
    }

    &.open {
        opacity: 1;
        visibility: visible;
        transition: .3s;

        .popup {

            &__content {
                transform: translateY(0);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(md) {
        flex-direction: row;
        align-items: center;
        justify-content: center;

        &__content {
            width: rem(560);
            height: rem(590);
            max-height: 80vh;
            border-radius: rem(8);
            flex-shrink: 0;
        }

        &__header {
            padding-left: rem(24);
            padding-bottom: rem(14);
        }

        &__title {
            font-size: rem(24);
            line-height: rem(30);
        }

        &__text {
            padding: 0 rem(14) rem(24) rem(24);

        }

        &__scroll {
            bottom: rem(8);
        }
    }

    @include media-breakpoint-up(lg) {

        &__content {
            height: rem(586);
            width: rem(860);
        }

        &__media {
            width: rem(340);
            display: block;
            flex-shrink: 0;
        }

        &__header {
            padding-left: rem(28);
        }

        &__text {
            padding-left: rem(28);
        }
    }

    @include media-breakpoint-up(lg) {

    }
    @include media-breakpoint-up(xl) {}
    @include media-breakpoint-up(xxl) {}
}


.popup-open {
    overflow: hidden;
}


@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
